Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.util
Class ConfigureListDlg

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              semorg.gui.util.ConfigureListDlg

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class ConfigureListDlg

extends org.eclipse.jface.dialogs.Dialog

Provides a dialog to configure the appearance of the GUI tables, i.e. the shown columns, their sizes and so on.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary
`private ConfigureListWidget` | `chooseWidget` The SWT widget to configure the appearance of the GUI tables.
`(package private) int[]` | `columnOrder` The order of the columns of a GUI table.
`private org.eclipse.swt.widgets.TableColumn[]` | `columns` The columns of a GUI table.

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`ConfigureListDlg(org.eclipse.swt.widgets.Shell parent, org.eclipse.swt.widgets.TableColumn[] columns, int[] columnOrder)` Creates a `ConfigureListDlg` instance with the given parameters.

Method Summary
`protected void` | `buttonPressed(int buttonId)` Notifies that this dialog's button with the given id has been pressed.
`protected void` | `cancelPressed()` Is invoked if the cancel button is pressed.
`protected void` | `configureShell(org.eclipse.swt.widgets.Shell shell)` Configures the given shell.
`protected void` | `createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)` Adds buttons to this dialog's button bar.
`protected org.eclipse.swt.widgets.Control` | `createDialogArea(org.eclipse.swt.widgets.Composite parent)` Creates the `chooseWidget` using the values of `columns`, `columnOrder` and the parameter.
`TableColumnProperty[]` | `getColumnProperties()`
`protected void` | `okPressed()` Is invoked if the ok button is pressed.

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columns

    private org.eclipse.swt.widgets.TableColumn[] columns

  The columns of a GUI table.

### columnOrder

    int[] columnOrder

  The order of the columns of a GUI table.

### chooseWidget

    private ConfigureListWidget chooseWidget

  The SWT widget to configure the appearance of the GUI tables.

Constructor Detail

### ConfigureListDlg

    public ConfigureListDlg(org.eclipse.swt.widgets.Shell parent,
                            org.eclipse.swt.widgets.TableColumn[] columns,
                            int[] columnOrder)

  Creates a `ConfigureListDlg` instance with the given parameters.

  Parameters:
    `parent` - the parent shell of this dialog.
    `columns` - array of columns get manage.
    `columnOrder` - the order of the columns.

Method Detail

### createButtonsForButtonBar

    protected void createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)

  Adds buttons to this dialog's button bar. The Dialog implementation of this framework method adds standard ok and cancel buttons using the createButton framework method. These standard buttons will be accessible from getCancelButton, and getOKButton. Subclasses may override.

  Overrides:
    `createButtonsForButtonBar` in class `org.eclipse.jface.dialogs.Dialog`
  Parameters:
    `parent` - the button bar composite
  See Also:
    `Dialog.createButtonsForButtonBar(org.eclipse.swt.widgets.Composite)`

### buttonPressed

    protected void buttonPressed(int buttonId)

  Notifies that this dialog's button with the given id has been pressed. The Dialog implementation of this framework method calls okPressed if the ok button is the pressed, and cancelPressed if the cancel button is the pressed. All other button presses are ignored. Subclasses may override to handle other buttons, but should call super.buttonPressed if the default handling of the ok and cancel buttons is desired.

  Overrides:
    `buttonPressed` in class `org.eclipse.jface.dialogs.Dialog`
  Parameters:
    `buttonId` - the id of the button that was pressed (see IDialogConstants.*_ID constants)
  See Also:
    `Dialog.buttonPressed(int)`

### okPressed

    protected void okPressed()

  Is invoked if the ok button is pressed. It simply sets the return code of the window and closes it.

  Overrides:
    `okPressed` in class `org.eclipse.jface.dialogs.Dialog`
  See Also:
    `Dialog.okPressed()`

### cancelPressed

    protected void cancelPressed()

  Is invoked if the cancel button is pressed. It simply sets the return code of the window and closes it.

  Overrides:
    `cancelPressed` in class `org.eclipse.jface.dialogs.Dialog`
  See Also:
    `Dialog.cancelPressed()`

### createDialogArea

    protected org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

  Creates the `chooseWidget` using the values of `columns`, `columnOrder` and the parameter.

  Overrides:
    `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`
  Parameters:
    `parent` - the parent composite.
  Returns:
    the created `chooseWidget`.

### getColumnProperties

    public TableColumnProperty[] getColumnProperties()

  Returns:
    array of `TableColumnProperty` instances which contains the properties for each column.

### configureShell

    protected void configureShell(org.eclipse.swt.widgets.Shell shell)

  Configures the given shell.

  Overrides:
    `configureShell` in class `org.eclipse.jface.window.Window`
  Parameters:
    `shell` - the Shell to configure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD